- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes

# QDecorationDefault Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qdecorationdefault_qws.h.

`#include <qdecorationdefault_qws.h>`

Inheritance diagram for QDecorationDefault:
[legend]

List of all members.

## Public Member Functions
| QDecorationDefault ()
virtual | ~QDecorationDefault ()
virtual QRegion | region (const QWidget *widget, const QRect &rect, int decorationRegion=All)
virtual bool | paint (QPainter *painter, const QWidget *widget, int decorationRegion=All, DecorationState state=Normal)
## Protected Member Functions
virtual int | titleBarHeight (const QWidget *widget)
virtual void | paintButton (QPainter *painter, const QWidget *widget, int buttonRegion, DecorationState state, const QPalette &pal)
virtual QPixmap | pixmapFor (const QWidget *widget, int decorationRegion, int &xoff, int &yoff)
virtual const char ** | xpmForRegion (int region)
QString | windowTitleFor (const QWidget *widget) const
## Protected Attributes
int | menu_width
int | help_width
int | close_width
int | minimize_width
int | maximize_width
int | normalize_width

## Constructor & Destructor Documentation

QDecorationDefault | ( |  | ) |

virtual ~QDecorationDefault | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QRegion region | ( | const QWidget * | widget,
|  | const QRect & | rect,
|  | int | decorationRegion = `All`
| ) |  | `[virtual]`

Search for all occurrences

Implements QDecoration.

Reimplemented in QDecorationStyled, and QDecorationWindows.

virtual bool paint | ( | QPainter * | painter,
|  | const QWidget * | widget,
|  | int | decorationRegion = `All`,
|  | DecorationState | state = `Normal`
| ) |  | `[virtual]`

Search for all occurrences

Implements QDecoration.

Reimplemented in QDecorationStyled, and QDecorationWindows.

virtual int titleBarHeight | ( | const QWidget * | widget | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QDecorationStyled.

virtual void paintButton | ( | QPainter * | painter,
|  | const QWidget * | widget,
|  | int | buttonRegion,
|  | DecorationState | state,
|  | const QPalette & | pal
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented in QDecorationWindows.

virtual QPixmap pixmapFor | ( | const QWidget * | widget,
|  | int | decorationRegion,
|  | int & | xoff,
|  | int & | yoff
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual const char** xpmForRegion | ( | int | region | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented in QDecorationWindows.

QString windowTitleFor | ( | const QWidget * | widget | ) | const `[protected]`

Search for all occurrences

## Member Data Documentation

int menu_width `[protected]`

Search for all occurrences

Definition at line 79 of file qdecorationdefault_qws.h.

int help_width `[protected]`

Search for all occurrences

Definition at line 80 of file qdecorationdefault_qws.h.

int close_width `[protected]`

Search for all occurrences

Definition at line 81 of file qdecorationdefault_qws.h.

int minimize_width `[protected]`

Search for all occurrences

Definition at line 82 of file qdecorationdefault_qws.h.

int maximize_width `[protected]`

Search for all occurrences

Definition at line 83 of file qdecorationdefault_qws.h.

int normalize_width `[protected]`

Search for all occurrences

Definition at line 84 of file qdecorationdefault_qws.h.

The documentation for this class was generated from the following file:

- QtGui/qdecorationdefault_qws.h

QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault
QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault QDecorationDefault